#
# spec file for package happy (Version 1.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  dialog docbook-dsssl-stylesheets docbook_3 docbook_4 ed ghc gmp gtk gtk-devel iso_ent jade_dsl jadetex readline readline-devel sp tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs dialog diffutils docbook-dsssl-stylesheets docbook_3 docbook_4 e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghc glibc glibc-devel gmp gpm gppshare grep groff gtk gtk-devel gzip iso_ent jade_dsl jadetex kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow sp strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         happy
Copyright:    BSD like
Group:        Development/Languages
Autoreqprov:  on
Version:      1.10
Release:      82
Summary:      Yacc-like LALR(1) Parser Generator for Haskell
URL:          http://haskell.org/happy/
Source:       happy-%{version}-src.tar.bz2
Patch:        happy-%{version}-src.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
Happy is a LALR(1) parser generator for Haskell - similar to yacc for C.  It
generates a Haskell parser from an annotated BNF specification of a grammar.
Happy allows to have several Happy generated parsers in one program.

Authors:
--------
    Simon Marlow <simonmar@microsoft.com>
    Andy Gill <andy@galconn.com>

SuSE series: d

%prep
%setup
%patch

%build
%{suse_update_config -f}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                       --prefix=%{_prefix} \
                       --libdir=%{_prefix}/lib/happy-%{version}
make -C glafp-utils boot all
make -C happy all
make -C happy/doc dvi html

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix}\
     libdir=$RPM_BUILD_ROOT%{_prefix}/lib/happy-%{version} install
ln -s happy-%{version} $RPM_BUILD_ROOT%{_prefix}/bin/happy
rm -f $RPM_BUILD_DIR/happy-%{version}/happy/doc/{Makefile,*.{sgml,aux,log,tex,aux,1.in}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc happy/{ANNOUNCE,CHANGES,README,TODO,examples,doc}
%{_prefix}/bin/*
%{_prefix}/lib/happy-*

%changelog -n happy
* Tue Aug 21 2001 - ro@suse.de
- removed sp_libs from neededforbuild (deleted package)
* Thu Jun 14 2001 - cihlar@suse.cz
- package created
